package org.dromara.pay.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.pay.domain.bo.PayAppBo;
import org.dromara.pay.domain.vo.PayAppVo;
import java.util.Collection;
import java.util.List;

/**
 * 支付应用Service接口
 *
 * @author pengles
 */
public interface PayAppService {

    /**
     * 查询支付应用
     */
    PayAppVo queryById(Long id);

    /**
     * 查询支付应用列表
     */
    TableDataInfo<PayAppVo> queryPageList(PayAppBo bo, PageQuery pageQuery);

    /**
     * 查询支付应用列表
     */
    List<PayAppVo> queryList(PayAppBo bo);

    /**
     * 新增支付应用
     */
    Boolean insertByBo(PayAppBo bo);

    /**
     * 修改支付应用
     */
    Boolean updateByBo(PayAppBo bo);

    /**
     * 校验并批量删除支付应用信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
